export class FetchError extends Error {
    statusCode;
    constructor(statusCode, message) {
        super(message);
        this.statusCode = statusCode;
        this.name = 'FetchError';
    }
}
export const toFetchError = async (response) => new FetchError(response.status, parseInt(response.headers.get('content-length') ?? '0', 10) > 0
    ? await response.text()
    : 'No content returned from server');
